// Copyright (C) 2005 Dirk Reusch
//
// This file is part of SUG3D
//
// SUG3D is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// SUG3D is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
// License for more details.
// You should have received a copy of the GNU General Public License
// along with SUG3D; see the file COPYING.  If not, write to the Free
// Software Foundation, 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.
//
// $Id: sug_define.sci,v 1.1 2005/06/27 15:08:05 dirk Exp dirk $

function ret=sug_define(name,exprs)

  // empty object proc
  ret1=sug_eval(msprintf('proc %s {} {}',name));
  
  // delete object data
  ret2=sug_eval(msprintf('objectDelete _%s_',name));
  
  // define new object and corresponding proc
  bbbb=msprintf('proc %s {} {object _%s_ {pushMatrix;',name,name);
  eeee=';popMatrix}}';
  ret3=sug_eval(bbbb+strcat(exprs,';')+eeee);
  
  ret=min(ret1,ret2,ret3);
  
endfunction

