// Copyright (C) 2005 Dirk Reusch
//
// This file is part of SUG3D
//
// SUG3D is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// SUG3D is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
// License for more details.
// You should have received a copy of the GNU General Public License
// along with SUG3D; see the file COPYING.  If not, write to the Free
// Software Foundation, 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.
//
// $Id: SUG_Place.sci,v 1.1 2005/06/27 15:08:05 dirk Exp dirk $

function [x,y,typ]=SUG_Place(job,arg1,arg2)
  x=[];y=[];typ=[];
  select job
    case 'plot' then //normal  position
    standard_draw(arg1)
    case 'getinputs' then
    [x,y,typ]=standard_inputs(arg1)
    case 'getoutputs' then
    [x,y,typ]=standard_outputs(arg1)
    case 'getorigin' then
    [x,y]=standard_origin(arg1)
    case 'set' then
    x=arg1;
    graphics=arg1.graphics;exprs=graphics.exprs
    model=arg1.model
    while %t do
      [ok,id,exprs]=getvalue('Setup SUG_Place block',..
			                        ['Object ID :'],..
			                        list('str',1),exprs)
			 if ~ok then break, end
			 graphics.exprs=exprs
      model.rpar=list(id)
      x.graphics=graphics
      x.model=model
      break
    end
    case 'define' then
    id='None';
    model=scicos_model()
    model.sim=list('sug_place_blk',3)
    model.in=6
    model.evtin=1
    model.rpar=list(id)
    model.blocktype='d'
    model.dstate=zeros(6,1)
    model.dep_ut=[%f %f]
    exprs=[id];
    gr_i=['xstringb(orig(1),orig(2),''SUG Place'',sz(1),sz(2),''fill'')']
    x=standard_define([2 2],model,exprs,gr_i)
  end
endfunction

