// Copyright (C) 2005 Dirk Reusch
//
// This file is part of SUG3D
//
// SUG3D is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// SUG3D is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
// License for more details.
// You should have received a copy of the GNU General Public License
// along with SUG3D; see the file COPYING.  If not, write to the Free
// Software Foundation, 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.
//
// $Id: sug_cylinder.sci,v 1.2 2005/06/27 15:08:05 dirk Exp dirk $

function expr=sug_cylinder(x0,y0,z0,axis,l,d,d2,clr,fac)
// optional args: d2, clr, fac
  
  if ~exists('d2','local') then
    d2=d;
  end
  
  if ~exists('fac','local') then
    fac=12; // GDHE default
  end
  
  if exists('clr','local') then
    expr=msprintf('color %i %i %i; cylinder %g %g %g %s %g %g %g %g',..
                   name2rgb(clr),x0,y0,z0,axis,d,d2,l,fac);
  else
    expr=msprintf('cylinder %g %g %g %s %g %g %g %g',..
                   x0,y0,z0,axis,d,d2,l,fac);
  end
  
endfunction

