// Copyright (C) 2005 Dirk Reusch
//
// This file is part of SUG3D
//
// SUG3D is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// SUG3D is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
// License for more details.
// You should have received a copy of the GNU General Public License
// along with SUG3D; see the file COPYING.  If not, write to the Free
// Software Foundation, 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.
//
// $Id: sug_observer.sci,v 1.2 2005/06/27 15:08:05 dirk Exp dirk $

function ret=sug_observer(d,e,a,x,y,z)
  // talk to openGL window
  expr=msprintf('.gdhe.ogl setObs -dist %g -elev %g -azi %g -x %g -y %g -z %g',..
                d,e,a,x,y,z);
  ret1=sug_eval(expr);

  // talk to control panel via global variables
  expr=msprintf('set obsDist %g;'+..
                'set obsElev %g;'+..
                'set obsAzi %g;'+..
                'set obsX %g;'+..
                'set obsY %g;'+..
                'set obsZ %g',d,e,a,x,y,z);
  ret2=sug_eval(expr);
  
  ret=min(ret1,ret2);
endfunction

