// Copyright (C) 2005 Dirk Reusch
//
// This file is part of SUG3D
//
// SUG3D is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// SUG3D is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
// License for more details.
// You should have received a copy of the GNU General Public License
// along with SUG3D; see the file COPYING.  If not, write to the Free
// Software Foundation, 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.
//
// $Id: sug_setup_blk.sci,v 1.1 2005/06/27 15:08:05 dirk Exp dirk $

function [y,x,z,tvec,xd]=sug_setup_blk(flag,nevprt,t,x,z,rpar,ipar,u)
  y=list();tvec=[];xd=[];x=[];z=[];
  if flag==4 then
    sug_start();
    sug_open();
    if rpar(3)==1 then
      sug_clear();
      // TODO: clear annotations
    end
    sug_background(rpar(1));
    obs=rpar(2);
    sug_observer(obs(1),obs(2),obs(3),obs(4),obs(5),obs(6));
    execstr(rpar(4));
  elseif flag==5 then
    if rpar(3)==2 then
      sug_clear();
      // TODO: clear annotations
    end
    sug_close();
  end
endfunction

